KQ_premadeShowKeystone = true
KQ_premadeDeleteOnInvite = true

KeyStoneCheckButton = CreateFrame("CheckButton", nil, LFGListFrame.ApplicationViewer.RefreshButton, "UICheckButtonTemplate")
KeyStoneCheckButton:SetPoint("RIGHT", LFGListFrame.ApplicationViewer.RefreshButton, "LEFT", 0, 0)
KeyStoneCheckButton:SetSize(38, 40)
KeyStoneCheckButton:SetChecked(true)

KeyStoneCheckButtonText = KeyStoneCheckButton:CreateFontString(nil, "ARTWORK", "GameFontNormalSmall")
KeyStoneCheckButtonText:SetPoint("RIGHT", KeyStoneCheckButton, "LEFT", 0, 0)
KeyStoneCheckButtonText:SetText("Show keys")

KeyStoneCheckButtonDelete = CreateFrame("CheckButton", nil, LFGListFrame.ApplicationViewer.RefreshButton, "UICheckButtonTemplate")
KeyStoneCheckButtonDelete:SetPoint("BOTTOM", KeyStoneCheckButton, "TOP", 0, -5)
KeyStoneCheckButtonDelete:SetSize(38, 40)
KeyStoneCheckButtonDelete:SetChecked(true)

KeyStoneCheckButtonDeleteText = KeyStoneCheckButtonDelete:CreateFontString(nil, "ARTWORK", "GameFontNormalSmall")
KeyStoneCheckButtonDeleteText:SetPoint("RIGHT", KeyStoneCheckButtonDelete, "LEFT", 0, 0)
KeyStoneCheckButtonDeleteText:SetText("Delete on invite")

KeystoneHeaderButton = CreateFrame("Button", nil, LFGListFrame.ApplicationViewer.ItemLevelColumnHeader, "LFGListColumnHeaderTemplate")
KeystoneHeaderButton:SetSize(120,24)
KeystoneHeaderButton:SetPoint("LEFT", LFGListFrame.ApplicationViewer.ItemLevelColumnHeader, "RIGHT")
KeystoneHeaderButton:SetText("Keystone")
KeystoneHeaderButton:Hide()

local applicantSpace = { LFGListApplicationViewerScrollFrameScrollChild:GetChildren() }
for _, child in ipairs(applicantSpace) do
	--child:SetWidth(470)
	KeystoneLabel  = child.Member1:CreateFontString(nil, "ARTWORK", "KeystoneLabelSmall")
	KeystoneLabel:SetPoint("LEFT", child.Member1, "LEFT", 200, 0)
	KeystoneLabel:SetParent(child.Member1)
	KeystoneLabel:SetText("No keystone whisper")
	KeystoneLabel:Hide()
end
	
function KQ_DeleteData()
	if KQ_premadeDeleteOnInvite == true then
		KQ_applicants = {}
		KQ_applicants[0] = {}
		KQ_UpdateApplicants(0)
		
		local applicantSpace = { LFGListApplicationViewerScrollFrameScrollChild:GetChildren() }
		for _, child in ipairs(applicantSpace) do
			--child:SetWidth(470)
			KeystoneLabel  = child.Member1.Name
			KeystoneLabel:SetPoint("LEFT", child.Member1, "LEFT", 200, 0)
			KeystoneLabel:SetParent(child.Member1)
			KeystoneLabel:SetText("No keystone whisper")
		end
	end	
end
	
--PVEFrame:SetWidth(720)
--LFGListPVEStub:SetWidth(496)
--LFGListApplicationViewerScrollFrameScrollChild:SetWidth(450)
--LFGListApplicationViewerScrollFrameButton3:SetWidth(450)
function KQ_premadeUpdate()
	local kids = { LFGListApplicationViewerScrollFrameScrollChild:GetChildren() };
	for _, child in ipairs(kids) do
		child.InviteButton:HookScript("OnClick", function()
			KQ_DeleteData() -- /dump LFGListApplicationViewerScrollFrameButton1.Member1.Name:GetText()
		end)
		local applicantName = child.Member1.Name:GetText()
		if applicantName ~= "Name" then
			for applicant = 1, #KQ_applicants do
				local applicantNameKQ = {strsplit('-', KQ_applicants[applicant][3])}
				if tostring(applicantName) == tostring(applicantNameKQ[1]) then
					child.Member1.KeystoneLabel:SetText("+"..tostring(KQ_applicants[applicant][1]) .. " " .. tostring(KQ_applicants[applicant][0]))
				end
			end
		end
	end
	
	
end


function KQ_UpdatePremade(wide) 
	if wide == true then
		KeystoneHeaderButton:Show()
		KeystoneHeaderButton:SetSize(120,24)
		PVEFrame:SetWidth(720)
		LFGListPVEStub:SetWidth(496)
		local applicantSpace = { LFGListApplicationViewerScrollFrameScrollChild:GetChildren() }
		for _, child in ipairs(applicantSpace) do
			child:SetWidth(470)
			KeystoneLabel  = child.Member1.KeystoneLabel
			KeystoneLabel:Show()

		end
	else
		KeystoneHeaderButton:Hide()
		KeystoneHeaderButton:SetSize(120,24)
		PVEFrame:SetWidth(563)
		LFGListPVEStub:SetWidth(338)
		local applicantSpace = { LFGListApplicationViewerScrollFrameScrollChild:GetChildren() }
		for _, child in ipairs(applicantSpace) do
			child:SetWidth(309)
			KeystoneLabel  = child.Member1.KeystoneLabel
			KeystoneLabel:Hide()

		end
	end
end

KeyStoneCheckButton:SetScript("OnShow", function()
	KeyStoneCheckButton:SetChecked(KQ_premadeShowKeystone)
	if KQ_premadeShowKeystone == true then
		KeyStoneCheckButtonDelete:Show()
		KQ_UpdatePremade(true)
		KQ_premadeUpdate()
	else
		KeyStoneCheckButtonDelete:Hide()
		KQ_UpdatePremade(false)
	end
end)
KeyStoneCheckButton:SetScript("OnHide", function()
	KeyStoneCheckButtonDelete:Hide()
	KQ_UpdatePremade(false)
end)
KeyStoneCheckButton:SetScript("OnClick", function()
	KQ_premadeShowKeystone = not KQ_premadeShowKeystone
	if KQ_premadeShowKeystone == true then
		KeyStoneCheckButtonDelete:Show()
		KQ_UpdatePremade(true)
	else
		KeyStoneCheckButtonDelete:Hide()
		KQ_UpdatePremade(false)
	end
end)

KeyStoneCheckButtonDelete:SetScript("OnClick", function()
	KQ_premadeDeleteOnInvite = not KQ_premadeDeleteOnInvite
	KeyStoneCheckButtonDelete:SetChecked(KQ_premadeDeleteOnInvite)
end)
